{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    rpcs3.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install rpcs3.";
    };
  };

  config = lib.mkIf config.me.rpcs3.enable (
    lib.mkMerge [
      (lib.mkIf config.me.graphical {
        environment.systemPackages = with pkgs; [
          rpcs3
        ];

        # .config/rpcs3/config.yml
        # .config/rpcs3/GuiConfigs/CurrentSettings.ini

        me.persist.directories = [
          ".config/rpcs3/dev_hdd0"
          ".config/rpcs3/dev_hdd1"
          ".config/rpcs3/savestates"
          ".config/rpcs3/dev_usb000"
          ".config/rpcs3/dev_flash" # Seems to be where the firmware is installed.
        ];
        me.state.directories = [ ".cache/rpcs3" ];
      })
    ]
  );
}
